# -*- coding:utf-8 -*-
SW6124_ADDR= 0x3C



class SW61xx():
    def __init__(self,bus):
        # pass
        self.bus = bus;
    
    
    def write8(self, reg, dat):
        self.bus.write_i2c_block_data(SW6124_ADDR, reg, [dat])
        
    def read8(self, reg):
        buf = self.bus.read_i2c_block_data(SW6124_ADDR, reg, 1)
        return buf[0]
        
    def Charge_detection(self):
        PowerPath = self.bus.read_i2c_block_data(SW6124_ADDR, 0x11, 1)[0]
        if(PowerPath & 0x10 == 0x10):
            # print "充电"
            return 1
        if(PowerPath & 0x10 != 0x10 and  PowerPath & 0x02 == 0x02):
            # print "充电器已连接，已经充满"
            return 2
        if(PowerPath & 0x10 == 0x00):
            # print "充电器未连接"
            return 0
    def Get_battery(self):
        #OCV 可用百分比
        OCV_Current_Percent = self.bus.read_i2c_block_data(SW6124_ADDR, 0x4D, 1)[0]
        #最终计量百分比
        Final_Percent = self.bus.read_i2c_block_data(SW6124_ADDR, 0x4f, 1)[0]
        if(Final_Percent == 100):# 如果最终计量百分比 为100  就输出100 
            # print 100
            return 100
        elif(Final_Percent > OCV_Current_Percent):
            # print  OCV_Current_Percent
            return OCV_Current_Percent
        else :
            # print  Final_Percent
            return Final_Percent

    
        
        
        
        
        
        